#eastern keep floor 2 message 3
from eventAPI import *
from APIUtils import *

rtkeep2message3 = 0

def fireEvent(e):
   global rtkeep2message3
   rtkeep2message3 = getTag(e, "rtkeep2message3")
   if (rtkeep2message3 == 1):
      return 1
   else:
      showMessage(e, ["You notice that this cage is different than the rest.  There are two doors and the locks are much more complex."], optionInput)
      if (poseYesNo(e, ["The doors are rusted enough that you may be able to force them open.", "", "Will you attempt to force the door?"])):
         rtkeep2message3 = 1
         setTag(e, "rtkeep2message3", rtkeep2message3)
         showMessage(e, ["You strain against the rusty bars until the locks give way.  The door opens with a terrible sound of twisting metal as dust and debris fill the air and make you choke."], optionInput)
         showMessage(e, ["As you attempt to clear the air you hear something stir within the cage."], optionInput)
         return 1
      else:
         return 0

